aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/runqemu
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/runqemu')
-rwxr-xr-xscripts/runqemu10
1 files changed, 6 insertions, 4 deletions
diff --git a/scripts/runqemu b/scripts/runqemu
index dcb2931cac..9272b6f2d5 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -279,10 +279,12 @@ if [ "x$KVM_ENABLED" = "xyes" ]; then
exit 1;
fi
if [ ! -w /dev/vhost-net -o ! -r /dev/vhost-net ]; then
- echo "You have no rights on /dev/vhost-net."
- echo "Please change the ownership of this file as described at:"
- echo "$YOCTO_PARAVIRT_KVM_WIKI";
- exit 1;
+ if [ "$SLIRP_ENABLED" != "yes" ] ; then
+ echo "You have no rights on /dev/vhost-net."
+ echo "Please change the ownership of this file as described at:"
+ echo "$YOCTO_PARAVIRT_KVM_WIKI";
+ exit 1;
+ fi
fi
fi